Altibase.jdbc.driver

## Class CharArrayClobWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.CharArrayWriter
    - - Altibase.jdbc.driver.CharArrayClobWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

    public class CharArrayClobWriter
    extends java.io.CharArrayWriter

### Field Summary

### Fields inherited from class java.io.CharArrayWriter

`buf, count`

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`CharArrayClobWriter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`void` `setWriterWatcher(WriterWatcher aWatcher)`

### Methods inherited from class java.io.CharArrayWriter

`append, append, append, reset, size, toCharArray, toString, write, write, write, writeTo`

### Methods inherited from class java.io.Writer

`write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CharArrayClobWriter

    public CharArrayClobWriter()

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.CharArrayWriter`

#### flush

    public void flush()

Specified by:
  `flush` in interface `java.io.Flushable`
Overrides:
  `flush` in class `java.io.CharArrayWriter`

#### setWriterWatcher

    public void setWriterWatcher(WriterWatcher aWatcher)